import request from '~/api/request'

interface CommitMallOrderParams {
  buyNum: number
  directoryId: number
  goodsInfoId: number
  mallSpecIds: any[]
  remark?: string
  userAddressId: number
}

export default {
  //提交订单V1.0.0
  commitMallOrder(params: CommitMallOrderParams) {
    return request('/oms/app-order/confirmMallOrder', 'post', params)
  },
}
